#
# spec file for package lvm (Version 1.0.0.2_rc2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         lvm
Copyright:    1999 - Heinz Mauelshagen
Group:        System Environment/Base
Provides:     lvm
Autoreqprov:  on
Version:      1.0.0.2_rc2
Release:      27
Summary:      LVM tools
Source:       lvm_1.0.1-rc2.tar.gz
Patch:        lvm_1.0.1.dif
Patch390:     dynmajor-0.9.1beta7.patch

%description
Programs and man pages for configuring and using the logical volume manager.

Authors:
--------
    Heinz Mauelshagen <mauelsha@ez-darmstadt.telekom.de>

SuSE series: a

%prep
%setup -n LVM/1.0.1-rc2
%patch
#%patch390

%build
./configure --mandir=/usr/share/man --prefix=/
make

%install
make install

%files
%docdir /usr/doc/packages/lvm
%doc CONTRIBUTORS INSTALL TODO COPYING LVM-HOWTO WHATSNEW ABSTRACT
%doc CHANGELOG FAQ README
#/usr/lib/liblvm.a
/lib/liblvm-10.so
/lib/liblvm-10.so.1.0
/lib/liblvm-10.so.1
/sbin/e2fsadm
/sbin/lvchange
/sbin/lvcreate
/sbin/lvdisplay
/sbin/lvextend
/sbin/lvmchange
/sbin/lvmcreate_initrd
/sbin/lvmdiskscan
/sbin/lvmsadc
/sbin/lvmsar
/sbin/lvreduce
/sbin/lvremove
/sbin/lvrename
/sbin/lvscan
/sbin/pvchange
/sbin/pvcreate
/sbin/pvdata
/sbin/pvdisplay
/sbin/pvmove
/sbin/pvscan
/sbin/vgcfgbackup
/sbin/vgcfgrestore
/sbin/vgchange
/sbin/vgck
/sbin/vgcreate
/sbin/vgdisplay
/sbin/vgexport
/sbin/vgextend
/sbin/vgimport
/sbin/vgmerge
/sbin/vgmknodes
/sbin/vgreduce
/sbin/vgremove
/sbin/vgrename
/sbin/vgscan
/sbin/vgsplit
%{_mandir}/man8/e2fsadm.8.gz
%{_mandir}/man8/lvchange.8.gz
%{_mandir}/man8/lvcreate.8.gz
%{_mandir}/man8/lvdisplay.8.gz
%{_mandir}/man8/lvextend.8.gz
%{_mandir}/man8/lvm.8.gz
%{_mandir}/man8/lvmchange.8.gz
%{_mandir}/man8/lvmcreate_initrd.8.gz
%{_mandir}/man8/lvmdiskscan.8.gz
%{_mandir}/man8/lvmsadc.8.gz
%{_mandir}/man8/lvmsar.8.gz
%{_mandir}/man8/lvreduce.8.gz
%{_mandir}/man8/lvremove.8.gz
%{_mandir}/man8/lvrename.8.gz
%{_mandir}/man8/lvscan.8.gz
%{_mandir}/man8/pvchange.8.gz
%{_mandir}/man8/pvcreate.8.gz
%{_mandir}/man8/pvdata.8.gz
%{_mandir}/man8/pvdisplay.8.gz
%{_mandir}/man8/pvmove.8.gz
%{_mandir}/man8/pvscan.8.gz
%{_mandir}/man8/vgcfgbackup.8.gz
%{_mandir}/man8/vgcfgrestore.8.gz
%{_mandir}/man8/vgchange.8.gz
%{_mandir}/man8/vgck.8.gz
%{_mandir}/man8/vgcreate.8.gz
%{_mandir}/man8/vgdisplay.8.gz
%{_mandir}/man8/vgexport.8.gz
%{_mandir}/man8/vgextend.8.gz
%{_mandir}/man8/vgimport.8.gz
%{_mandir}/man8/vgmerge.8.gz
%{_mandir}/man8/vgmknodes.8.gz
%{_mandir}/man8/vgreduce.8.gz
%{_mandir}/man8/vgremove.8.gz
%{_mandir}/man8/vgrename.8.gz
%{_mandir}/man8/vgscan.8.gz
%{_mandir}/man8/vgsplit.8.gz

%changelog -n lvm
* Tue Nov 13 2001 - fehr@suse.de
- prevent garbage on disk to crash vgscan in copy_from_disk
* Mon Nov 12 2001 - fehr@suse.de
- refine last fix to not break recognition of complete disks without
  any partitions
* Tue Nov 06 2001 - fehr@suse.de
- fix problem with partition recognition on sparc, s390 and axp
* Fri Sep 21 2001 - fehr@suse.de
- make lvm recognize /dev/ataraid devices
* Thu Sep 20 2001 - fehr@suse.de
- fix a problem that pvcreate refuses to handle a md device when
  more than one md device is present
- do not compile with profiling
* Wed Sep 12 2001 - fehr@suse.de
- update to version 1.0.1-rc2
* Fri Sep 07 2001 - fehr@suse.de
- fix a problem (loop, nbd, md devices were not detected) cause by
  SuSE patch in new lvm 1.0.1
* Tue Aug 28 2001 - fehr@suse.de
- update to version 1.0.1-rc1
- disabled dynmajor-patch
* Fri Aug 17 2001 - bk@suse.de
- s390: added dynmajor-0.9.1beta7.patch for dynamically allocated majors
* Sat Jun 30 2001 - bk@suse.de
- added XPRAM_MAJOR to allow the use of xpram devices as PVs.
* Fri Jun 29 2001 - bk@suse.de
- removed obsoleted patch from spec
* Thu Jun 28 2001 - bk@suse.de
- add 64-bit bigendian fix for s390x and merged previous archfix
* Tue Jun 12 2001 - schwab@suse.de
- Fix cpp directives inside macro calls.
* Fri Apr 20 2001 - bk@suse.de
- compile fix for pv_get_size on axp, s390, s390x and sparc
* Thu Apr 12 2001 - fehr@suse.de
- changed to new version 0.9.1 beta 7
* Thu Mar 22 2001 - fehr@suse.de
- changed to new version 0.9.1 beta 6
* Thu Feb 22 2001 - ro@suse.de
- link tools dynamically again (saves > 2M in instsys)
* Tue Feb 20 2001 - fehr@suse.de
- changed to new version 0.9.1 beta 4
* Thu Feb 08 2001 - fehr@suse.de
- make the lvm utilities independent from linux/autoconf.h
* Tue Jan 23 2001 - fehr@suse.de
- changed to new version 0.9.1 beta 2
* Mon Jan 15 2001 - fehr@suse.de
- add patch from Thorsten Kukuk to recognize partitions on sparc
- make it compile and link on ia64, remove warnings on ia64
* Mon Jan 15 2001 - fehr@suse.de
- add patch from Thorsten Kukuk to fix a problem on sparc
- add patch from Andrea Arcangeli to fix lvexport segv
* Wed Jan 03 2001 - fehr@suse.de
- fix problems occuring during update from lvm 0.8 systems to 0.9
* Mon Dec 18 2000 - fehr@suse.de
- let lvm recognize additional devices (CCISS, I2O, SMART2)
* Mon Dec 18 2000 - kukuk@suse.de
- fix compiling on SPARC
* Fri Dec 15 2000 - fehr@suse.de
- add more partition id defines to include file since we cannot
  include genhd any more
- fix endiannes #ifdef in pv_get_size
- fix wrong macro definition LVM_TO_CORE32 for BIG_ENDIAN machines
* Mon Dec 11 2000 - fehr@suse.de
- changed to new version 0.9
* Thu Sep 28 2000 - bk@suse.de
- changed dummy partition type for s390 and alpha to from 0x83 to 0x8e
- fixed an segfault of vgcreate in pv_get_size for alpha and s390
* Wed Sep 27 2000 - bk@suse.de
- added more s390 adaptions and workarounds (in #ifdef __s390__ only)
* Tue Sep 26 2000 - fehr@suse.de
- add handling of S390 dasd devices
- fix possible problem on machines with non-intel endianes
* Wed Sep 06 2000 - uli@suse.de
- fixed handling of DOS partition tables on Big Endian machines
* Fri Aug 25 2000 - fehr@suse.de
- add recognition of WIN98 extended partitions again
* Tue Jul 25 2000 - fehr@suse.de
- make vgscan tolerant about the existence of /etc/lvmtab.d
* Mon Jun 26 2000 - kukuk@suse.de
- fix compilation on SPARC
* Fri May 26 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Tue Apr 04 2000 - fehr@suse.de
- fix bug when using the option -c in pvdisplay
* Wed Mar 08 2000 - fehr@suse.de
- fix another bug found by Andrea
* Tue Mar 07 2000 - fehr@suse.de
- fix a bug found by Andrea
* Wed Feb 09 2000 - kukuk@suse.de
- Update to lvm-tools-aa-20000119
* Tue Jan 11 2000 - fehr@suse.de
- add script lvmcreate_initrd to package
* Thu Oct 28 1999 - fehr@suse.de
- fix some bugs in LVM tools
* Mon Oct 11 1999 - fehr@suse.de
- changed to a preliminary of version 0.8
* Mon Sep 27 1999 - fehr@suse.de
- add version 0.7 to SuSE distribution
